# file: $RCSfile: whomp-constants.tcl,v $
# rcsid: $Id: whomp-constants.tcl,v 1.7 2010/11/18 16:36:46 jwp Exp $
#
# whirc whomp
#
# constants we will need
#

# from tcllib (http://www.tcl.tk/software/tcllib/)
source constants.tcl
package require math::constants

namespace eval whomp {

#
# ---------- define some whomp constants
#

# chip size in arcseconds
set virgo_w 200;
set virgo_h 200;

# we support 3 basic shapes:
set GRID 0;		# normal rectangular grid
set PLUS 1;		# plus sign (grid minus corners)
set XXXX 2;		# an x-shape

# we support 3 celestial reference frames,
# which we call "states"
# to correspond to the usage in the mighty
# Telescope Pointing Machine (TPM).
set EQU 0;
set ECL 1;
set GAL 2;

# the colors of rectangles
set colors "white red orange yellow green blue purple violet";
#set colors "red1 red2 red3 red4 pink1 pink2 pink3 pink4";
set ncolors 8;

# end of namespace
}
